Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004613TestLinkTest Plan (builds, milestones, test assign)public2011-06-14 09:502011-07-02 13:49
ReporterJulian 
Assigned ToJulian 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004613: cookiePrefix needs to be improved for all trees within testlink
Description1. modes and features for test case trees (tlTestCaseFilterControl.class.php)
plan_mode
- planUpdateTC (Update Linked Test Case Versions)
- test_urgency (Set Urgent Tests)
- tc_exec_assignment (Assign Test Case Execution )

edit_mode
- edit_tc (Test Specification)
- keywordsAssign (Assign Keywords)
- assignReqs (Assign Requirements)

plan_add_mode (Add / Remove Test Cases)

execution_mode (Test Execution)

2. Requirement Tree only used for requirement specification (tlRequirementFilterControl.class.php)

3. Test Case Tree used on "Test Plan Report" ,"Test Report", "Generate Test Specification Document", "Generate Requirement Specification Document" (printDocOptions.php)
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon cookie_prefixes.png [^] (11,461 bytes) 2011-06-14 12:53

- Relationships
child of 0003714assigned Testlink not usable anymore after cookie size (request header) exceeds server limit 

-  Notes
(0015259)
Julian (reporter)
2011-06-14 12:53
edited on: 2011-06-14 13:05

cookie prefix is not well chosen for all features -> see attached screenshot.

There should be a simple rule to properly name cookies
<feature_name>_tproject_id_<tproject_id>_tplan_id_<tplan_id>_platform_id_<platform_id>_build_id_<build_id>_...
-> just using required ids!

Example:
tproject_id = 123
tplan_id = 543

req_specification_tproject_id_123_ (requirement specification) [currently: "requirement_spec<tproject_id>_"]
test_specification_tproject_id_123_ (test specification) [currently: "tproject_<tproject_id>_" (name is telling nothing)]
add_tcases_to_tplan_tproject_id_123_tplan_id_543 (add test cases to test plan) [currently: "planaddtc_<tproject_id>_<user_id>_"(no idea why user_id!!)]
...

(0015260)
Julian (reporter)
2011-06-14 12:58

cookiePrefix is set on tlTestCaseFilterControl.class.php and tlRequirementFilterControl.class.php.
Simply search for $cookie_prefix in those files.
(0015261)
Julian (reporter)
2011-06-14 13:03
edited on: 2011-06-14 13:04

First part of the fix - adding missing cookieprefix on treeCfg for exec assignment tree:

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/1425ab95f52421dfd304eed7ade1cc866fefa683 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/cc10538674098954549c47c760fe1e8cd1803d74 [^]

this fixes the cookiename containing "undefined" as text -> now "tc_exec_assignment" is used for cookie name

(0015262)
Julian (reporter)
2011-06-14 15:30
edited on: 2011-06-14 15:35

Test Case Tree used on Test Reports "Test Plan Report" and "Test Report" (printDocOptions.php)
- shows test cases assigned to chosen test plan (only necessary to add tplan_id - tproject_id is implicitly given by tplan_id)
- store state for each report
-> cookiePrefix: "<report>_tplan_id_<tplan_id>_"

Tree used on "Generate Test Specification Document" (printDocOptions.php)
- tree shows all test cases specified on test project
-> cookiePrefix: "testspec_doc_tproject_id_<tproject_id>_"

Tree used on "Generate Requirement Specification Document" (printDocOptions.php)
- tree shows all requirements specified on test project
-> cookiePrefix: "reqspec_doc_tproject_id_<tproject_id>_"

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/410ee9495b8cfccaa88004cb7ab27a71e527f201 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/590c9ddc9c3360877577bfe4e6ed356ade3d70bb [^]

(0015263)
Julian (reporter)
2011-06-14 15:41

Requirement Tree only used for requirement specification (tlRequirementFilterControl.class.php)
- tree shows all requirements specified on test project
-> cookiePrefix: "req_specification_tproject_id_<tproject_id>_"

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/bb08e6b8a5d0574ef4afb5cb9df279b369031aa8 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/10a4d4e807ea3a8a0cf429fab99640202e895960 [^]
(0015268)
Julian (reporter)
2011-06-15 13:23

edit_tc (Test Specification)
- tree shows all test cases specified on test project
-> cookiePrefix: "edit_tc_tproject_id_<tproject_id>_"

keywordsAssign (Assign Keywords)
- tree shows all test cases specified on test project
-> cookiePrefix: "keywordsAssign_tproject_id_<tproject_id>_"

assignReqs (Assign Requirements)
- tree shows all test cases specified on test project
-> cookiePrefix: "assignReqs_tproject_id_<tproject_id>_"

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/c59686e69f5583d7c62798594cf42901c7aa9928 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/1073ac311ae5342822c2c9c294a34c66ca9952f0 [^]
(0015270)
Julian (reporter)
2011-06-15 13:45

planUpdateTC (Update Linked Test Case Versions)
- shows added test cases for test plan
-> cookiePrefix: "planUpdateTC_tplan_id_<tplan_id>_"

test_urgency (Set Urgent Tests)
- shows added test cases for test plan
-> cookiePrefix: "test_urgency_tplan_id_<tplan_id>_"

tc_exec_assignment (Assign Test Case Execution )
- shows added test cases for test plan. Build could be used to store tree state based on build -> maybe overkill
-> cookiePrefix: "tc_exec_assignment_tplan_id_<tplan_id>_"

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/2919ce7d76b815f264b48bdbd6de78f84bc5febe [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/06bd5ae632fca0499e55c3cd2f572b3102fc9f24 [^]
(0015277)
Julian (reporter)
2011-06-16 07:11

plan_add_mode (Add / Remove Test Cases)
- tree shows all test cases defined on project. To be able to have different states for different tplan -> store state per test plan

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/ede260f5416173eb339127a65d0a3a96950d4b56 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/491a0cd27d5f39f63b7a9beddd9588e9447e71ec [^]
(0015279)
Julian (reporter)
2011-06-16 08:13

execution_mode (Test Execution)

This is the most complex situtation as the shown test cases in tree are influenced by test plan, platform and build.
As a build can only belong to 1 test plan the tplan_id does not have to be part of the cookie name (meaning: tplan_id is implicitly given with build_id)
-> cookiePrefix = "test_exec_platform_id_<platform_id>_build_id_<build_id>_" (if platforms are used)
-> cookiePrefix = "test_exec_build_id_<build_id>_" (if no platforms are used)

Branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/87f2de23fd87c7c016e23fb4206822b834edb8e3 [^]

Master:
http://gitorious.org/testlink-ga/testlink-code/commit/c64aac6b460524311aeff181c682e2a42488dc95 [^]
(0015291)
Julian (reporter)
2011-06-21 07:55

Issue #4625 creates useless cookies. Will resolve when this issue is resolved.
(0015296)
Julian (reporter)
2011-06-21 10:02

all issues resolved. Cookies should now be properly set and should allow users to have a variety of different tree states depending on feature and settings.
(0015429)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-06-14 09:50 Julian New Issue
2011-06-14 09:50 Julian Description Updated View Revisions
2011-06-14 12:53 Julian Note Added: 0015259
2011-06-14 12:53 Julian File Added: cookie_prefixes.png
2011-06-14 12:58 Julian Note Added: 0015260
2011-06-14 12:59 Julian Assigned To => Julian
2011-06-14 12:59 Julian Status new => assigned
2011-06-14 13:03 Julian Note Added: 0015261
2011-06-14 13:04 Julian Note Edited: 0015261 View Revisions
2011-06-14 13:05 Julian Note Edited: 0015259 View Revisions
2011-06-14 15:30 Julian Note Added: 0015262
2011-06-14 15:35 Julian Note Edited: 0015262 View Revisions
2011-06-14 15:41 Julian Note Added: 0015263
2011-06-15 13:23 Julian Note Added: 0015268
2011-06-15 13:24 Julian Summary cookiePrefix undefined for Test Execution Assignment Tree => cookiePrefix needs to be improved for all trees within testlink
2011-06-15 13:28 Julian Description Updated View Revisions
2011-06-15 13:28 Julian Relationship added child of 0004473
2011-06-15 13:45 Julian Note Added: 0015270
2011-06-16 05:30 Julian Relationship added child of 0003714
2011-06-16 07:11 Julian Note Added: 0015277
2011-06-16 08:13 Julian Note Added: 0015279
2011-06-21 07:53 Julian Relationship added related to 0004625
2011-06-21 07:55 Julian Note Added: 0015291
2011-06-21 10:02 Julian Note Added: 0015296
2011-06-21 10:02 Julian Status assigned => resolved
2011-06-21 10:02 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-06-21 10:02 Julian Resolution open => fixed
2011-07-02 13:49 fman Note Added: 0015429
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker